Package com.google.javascript.jscomp

# Enum SourceMap.DetailLevel

java.lang.Object
java.lang.Enum<SourceMap.DetailLevel>
com.google.javascript.jscomp.SourceMap.DetailLevel

All Implemented Interfaces:
  `com.google.common.base.Predicate<Node>`, `Serializable`, `Comparable<SourceMap.DetailLevel>`, `java.lang.constant.Constable`, `Predicate<Node>`

Enclosing class:
  `SourceMap`

public static enum SourceMap.DetailLevel extends Enum<SourceMap.DetailLevel> implements com.google.common.base.Predicate<Node>
Source maps can be very large different levels of detail can be specified.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`SYMBOLS`

## Method Summary

Modifier and Type
Method
Description
`static SourceMap.DetailLevel`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SourceMap.DetailLevel[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Predicate

`apply, equals, test`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Enum Constant Details

### ALL

public static final SourceMap.DetailLevel ALL

### SYMBOLS

public static final SourceMap.DetailLevel SYMBOLS

## Method Details

### values

public static SourceMap.DetailLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SourceMap.DetailLevel valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null